PAM_EXEC(8)

NAME
pam_exec - Exec PAM module

SYNOPSIS
[service-name] module-type control-flag pam_exec [arguments]

DESCRIPTION
The exec service module for PAM executes the program designated by its first argument, with its remaining arguments as command-line arguments. The child's environment is set to the current PAM environment list, as returned by pam_getenvlist(3). In addition, the following PAM items are exported as environment variables: PAM_RHOST, PAM_RUSER, PAM_SERVICE, PAM_TTY, and PAM_USER.

SEE ALSO
pam_get_item(3), pam.conf(5), pam(8)

AUTHORS
The pam_exec module and this manual page were developed for the FreeBSD Project by ThinkSec AS and NAI Labs, the Security Research Division of Network Associates, Inc. under DARPA/SPAWAR contract N66001-01-C-8035 (“CBOSS”), as part of the DARPA CHATS research program.